package com.gxx.dubbo.client.remote.impl;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gxx.dubbo.client.remote.service.RemoteService;
import com.gxx.dubbo.server.model.vo.User;
import com.gxx.dubbo.server.service.UserService;

/** 
 * 远程服务接口实现类
 * @author Gxx
 */
@Service("remoteService")
public class RemoteServiceImpl implements RemoteService {
	/**
	 * 日志记录器
	 */
	Logger logger = Logger.getLogger(RemoteServiceImpl.class);

	/**
	 * 用户服务接口
	 */
	@Autowired
	private UserService userService;
	
	/**
	 * 根据id查询用户
	 * @return
	 */
	public User selectUserById(int id) {
		return userService.selectUserById(id);
	}
}